aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2003-09-03 23:25:01 +0000
committerBill Nottingham <notting@redhat.com>2003-09-03 23:25:01 +0000
commit5995871a035dc8e1d2129d48a1e2e390e6cf4533 (patch)
tree5dee6039663cc7dfec875054e1f424f222314b6e /rc.d
parentb79509a686a1bf76d91a2c52ee5b57b2ed9b88f2 (diff)
downloadinitscripts-5995871a035dc8e1d2129d48a1e2e390e6cf4533.tar
initscripts-5995871a035dc8e1d2129d48a1e2e390e6cf4533.tar.gz
initscripts-5995871a035dc8e1d2129d48a1e2e390e6cf4533.tar.bz2
initscripts-5995871a035dc8e1d2129d48a1e2e390e6cf4533.tar.xz
initscripts-5995871a035dc8e1d2129d48a1e2e390e6cf4533.zip
run rhgb after /usr is mounted (#100525, <nphilipp@redhat.com>)
Diffstat (limited to 'rc.d')
-rwxr-xr-xrc.d/rc.sysinit13
1 files changed, 11 insertions, 2 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 3a5c5dee..e3231a55 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -75,9 +75,12 @@ fi
#update_boot_stage RCproc
action $"Mounting proc filesystem: " mount -n -t proc /proc /proc
-# Start the graphical boot, if necessary
+# Start the graphical boot, if necessary; /usr may not be mounted yet, so we
+# may have to do this again after mounting
+RHGB_STARTED=0
if ! fgrep -q nogui /proc/cmdline && [ "$BOOTUP" = "color" -a "$GRAPHICAL" = "yes" -a -x /usr/bin/rhgb ]; then
- /usr/bin/rhgb
+ /usr/bin/rhgb
+ RHGB_STARTED=1
fi
# Unmount the initrd, if necessary
@@ -551,6 +554,12 @@ fi
# filesystems are NOT unmounted in single user mode.
action $"Mounting local filesystems: " mount -a -t nonfs,smbfs,ncpfs -O no_netdev
+# Start the graphical boot, if necessary and not done yet.
+if ! fgrep -q nogui /proc/cmdline && [ "$RHGB_STARTED" -eq 0 -a "$BOOTUP" = "color" -a "$GRAPHICAL" = "yes" -a -x /usr/bin/rhgb ]; then
+ /usr/bin/rhgb
+ RHGB_STARTED=1
+fi
+
# check remaining quotas other than root
if [ X"$_RUN_QUOTACHECK" = X1 -a -x /sbin/quotacheck ]; then
if [ -x /sbin/convertquota ]; then